cd `dirname $0`
git reset HEAD --hard
git pull
mvn clean package -DskipTests=true

version=$(date +%s)
docker build -t registry.cn-chengdu.aliyuncs.com/cxzx-spider/big-screen:$version .
docker push registry.cn-chengdu.aliyuncs.com/cxzx-spider/big-screen:$version
sed -i "s!{ { image } }!registry\.cn-chengdu\.aliyuncs\.com/cxzx-spider/big-screen:$version!g" big-screen.yml

kubectl apply -f big-screen.yml
