package com.smcic.api.neican.controller;


import com.smcic.api.neican.entity.Region;
import com.smcic.api.neican.service.impl.RegionServiceImpl;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RequestMapping;

import org.springframework.web.bind.annotation.RestController;

import javax.annotation.Resource;
import java.util.List;

/**
 * <p>
 * 地域表 前端控制器
 * </p>
 *
 * @author syj
 * @since 2023-11-16
 */
@RestController
@RequestMapping("/admin/region")
public class RegionController {

    @Resource
    private RegionServiceImpl regionService;

    @GetMapping("tree")
    public List<Region> tree(){
        return regionService.regionTree();
    }
}
