package com.smcic.api.neican.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import java.io.Serializable;
import java.util.List;

import lombok.Getter;
import lombok.Setter;

/**
 * <p>
 * 管理员角色
 * </p>
 *
 * @author syj
 * @since 2023-11-16
 */
@Getter
@Setter
@TableName("admin_role")
public class AdminRole implements Serializable {

    private static final long serialVersionUID = 1L;

    @TableId(value = "role_id", type = IdType.AUTO)
    private Long roleId;

    private String name;

    private String remark;

    @TableField(exist = false)
    private List<Organ> organs;

    @TableField(exist = false)
    private List<MenuModule> modules;


}
