package com.smcic.api.neican.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import java.io.Serializable;
import lombok.Getter;
import lombok.Setter;

/**
 * <p>
 * 
 * </p>
 *
 * @author syj
 * @since 2023-11-16
 */
@Getter
@Setter
public class Leaders implements Serializable {

    private static final long serialVersionUID = 1L;

    @TableId(value = "leader_id", type = IdType.AUTO)
    private Long leaderId;

    private String name;

    private String desc;

    private String photo;

    /**
     * 职位
     */
    private String position;

    /**
     * 履历
     */
    private String resume;

    private String level;

    private Long areaId;

    /**
     * 审核状态
     */
    private Integer status;

    /**
     * 排序
     */
    private Integer sort;


}
