package com.smcic.api.neican.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import java.io.Serializable;
import java.util.ArrayList;
import java.util.List;

import lombok.Getter;
import lombok.Setter;

/**
 * <p>
 * 机构表
 * </p>
 *
 * @author syj
 * @since 2023-11-16
 */
@Getter
@Setter
public class Organ implements Serializable {

    private static final long serialVersionUID = 1L;

    @TableId(value = "organ_id", type = IdType.AUTO)
    private Long organId;

    private Long regionId;

    private Long pid;

    private Integer level;

    private String name;

    private String category;

    private String authType;

    private String info;

    @TableField(exist = false)
    private List<Organ> children;

    @TableField(exist = false)
    private List<Users> users = new ArrayList<>();


}
