package com.smcic.api.neican.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import java.io.Serializable;
import lombok.Getter;
import lombok.Setter;

/**
 * <p>
 * 
 * </p>
 *
 * @author syj
 * @since 2023-11-16
 */
@Getter
@Setter
@TableName("user_relation")
public class UserRelation implements Serializable {

    private static final long serialVersionUID = 1L;

    @TableId(value = "relation_id", type = IdType.AUTO)
    private Long relationId;

    private Long userId;

    /**
     * 关系人
     */
    private String name;

    /**
     * 关系描述
     */
    private String desc;

    /**
     * 关系级别
     */
    private Integer level;

    private String position;


}
