package com.smcic.api.neican.entity;

import java.io.Serializable;
import java.util.List;

import com.baomidou.mybatisplus.annotation.TableField;
import lombok.Getter;
import lombok.Setter;

/**
 * <p>
 * 地域表
 * </p>
 *
 * @author syj
 * @since 2023-11-16
 */
@Getter
@Setter
public class Region implements Serializable {

    private static final long serialVersionUID = 1L;

    private Long regionId;

    private Long pid;

    private String name;

    private String geo;

    private Integer level;

    /**
     * 省市区
     */
    private String type;

    @TableField(exist = false)
    private List<Region> children;


}
