import com.baomidou.mybatisplus.generator.FastAutoGenerator;
import com.baomidou.mybatisplus.generator.config.OutputFile;
import com.baomidou.mybatisplus.generator.engine.FreemarkerTemplateEngine;
import org.junit.jupiter.api.Test;

import java.util.Collections;

public class Gen {
    @Test
    public void genCode(){
        FastAutoGenerator.create("jdbc:mysql://rm-2vc3039h858t9ab7sfo.mysql.cn-chengdu.rds.aliyuncs.com:3306/neican",
                        "cxzx", "sxtvs53$68HD")
                .globalConfig(builder -> {
                    builder.author("syj") // 设置作者
                            .fileOverride() // 覆盖已生成文件
                            .outputDir("D:\\dev\\java\\neican\\src\\main\\java"); // 指定输出目录
                })
                .packageConfig(builder -> {
                    builder.parent("com.smcic.api") // 设置父包名
                            .moduleName("neican") // 设置父包模块名
                            .pathInfo(Collections.singletonMap(OutputFile.mapperXml,
                                    "D:\\dev\\java\\neican\\src\\main\\resources\\com\\smcic")); // 设置mapperXml生成路径
                })
                .strategyConfig(builder -> {
                    builder
                            .addInclude("admin_role")
                            .addInclude("admin_user_role")
                            .addInclude("admin_users")
                            .addInclude("article")
                            .addInclude("article_collect")
                            .addInclude("article_quote")
                            .addInclude("audit_flow")
                            .addInclude("category")
                            .addInclude("leaders")
                            .addInclude("life_service")
                            .addInclude("live_stream")
                            .addInclude("menu_module")
                            .addInclude("network_media")
                            .addInclude("newspapers")
                            .addInclude("notices")
                            .addInclude("organ")
                            .addInclude("region")
                            .addInclude("role_acl_data")
                            .addInclude("role_acl_module")
                            .addInclude("user_device")
                            .addInclude("user_relation")
                            .addInclude("user_role")
                            .addInclude("user_third")
                            .addInclude("users"); // 设置需要生成的表名
                    builder.controllerBuilder().enableRestStyle();
                    builder.entityBuilder().enableLombok();
                })
                .templateEngine(new FreemarkerTemplateEngine()) // 使用Freemarker引擎模板，默认的是Velocity引擎模板
                .execute();
    }


}
